/****************************************************************************************
 * KF8A系列单片机	KF8A100EON_DEMO	开发板演示程序
 * 标    题: 模拟比较器测试实验
 * 项目名: 10- CMP_Test
 * 开发环境：ChipON IDE
 * 版          本     ：V1.0 (2019/07/23)
 * 作 者: 上海芯旺微电子有限公司
 * 功能简述： 当正端输入电压大于负端输入电压时，LED_R点亮，否则LED_G点亮
 * 硬件说明：使用P20为负端，P21为正端
 * 跳线接法： 单片机供电选择为3.3V或5V
 ****************************************************************************************/
#include<KF8A100EON.h>
#include "include.h"

volatile uchar	CMP_state=0;
void Sys_Init(void)
{
	OSCCTL = 0x60;		//时钟配置为内部16M
	TR0=0;
	TR1=0;
	TR2=0;
	TR3=0;
	P0=0;
	P1=0;
	P2=0;
	P3=0;
}

//主函数
void main()
{
	Sys_Init();
	CMP_Init();

	AIE=1;       // 使能总中断
	PUIE=1;      // 使能外部中断
	while(1)
	{
		if(CMP_state)
		{
			LED_R=1;
			LED_G=0;
		}
		else
		{
			LED_R=0;
			LED_G=1;
		}
	}
}
//中断函数0:0X04入口地址
void int_fun0() __interrupt (0)
{
	// 比较器中断
		if(C1IF)
		{
			__asm
		    MOV R0 , _C1CTL
		    CLR _EIF1 , 3
		    __endasm;

			CMP_state=C1OUT;
		}
}


//中断函数1:0x14入口地址
void int_fun1() __interrupt (1)
{

}
